# $Revision: 1.28 $, $Date: 2012/01/15 23:32:32 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Exception
%define		pnam	Class-DBI
Summary:	Exception::Class::DBI - DBI exception objects
Summary(pl.UTF-8):	Exception::Class::DBI - obiekty wyjątków DBI
Name:		perl-Exception-Class-DBI
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Exception/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	370f8ff528971102a760496866bea0d0
URL:		http://search.cpan.org/dist/Exception-Class-DBI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Module-Build >= 0.20
%if %{with tests}
BuildRequires:	perl-DBI >= 1.28
BuildRequires:	perl-Exception-Class >= 1.02
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers a set of DBI-specific exception classes. They
inherit from Exception::Class::Base, the base class for all exception
objects created by the Exception::Class module from the CPAN.
Exception::Class::DBI itself offers a single class method, handler(),
that returns a code reference appropriate for passing the DBI
HandleError attribute.

%description -l pl.UTF-8
Ten moduł oferuje zestaw specyficznych dla DBI klas wyjątków.
Dziedziczą one z Exception::Class::Base, czyli bazowej klasy dla
wszystkich obiektów wyjątków tworzonych przez moduł Exception::Class.
Sam Exception::Class::DBI oferuje pojedynczą metodę klasy - handler(),
zwracającą referencję do kodu właściwą do przekazywania atrybutu DBI
HandleError.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^(use 5.005)(00;)$/$1_$2/' ./lib/Exception/Class/DBI.pm

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Exception/Class
%{perl_vendorlib}/Exception/Class/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Exception-Class-DBI.spec,v $
Revision 1.28  2012/01/15 23:32:32  zbyniu
- up to 1.01

Revision 1.27  2009/06/22 13:43:24  amateja
- updated to 1.00

Revision 1.26  2007/12/24 12:21:01  qboosh
- generic URL

Revision 1.25  2007-12-23 23:21:41  zbyniu
- up to 0.96

Revision 1.24  2007-02-13 07:16:55  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:20  paladine
- formatting

Revision 1.21  2004/08/08 18:11:02  adamg
- updated to 0.92

Revision 1.20  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.19  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.17  2004/04/14 14:57:04  ankry
- cosmetics

Revision 1.16  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.15  2003/09/27 21:19:31  migo
- up to 0.91
- switch to Module::Build

Revision 1.14  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:32:00  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/01/07 14:54:15  mis
- autoupdated to 0.90

Revision 1.5  2002/09/26 16:15:45  ankry
- version 0.02, release 1

Revision 1.4  2002/09/16 08:23:41  ankry
- added missing dir
- release 3

Revision 1.3  2002/09/14 18:35:33  ankry
- fixed perl version required, release 2

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
